Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002946TestLinkDatabase MS-SQLpublic2009-11-10 18:562011-11-03 22:06
Reporternarsu 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0002946: Cannot assing requirements with test cases?
DescriptionI have three different require specifications in project. Structure of test case "pool" contains also several levels (is quite complicate).
Anyway I was trying to assing one of requirements to one test case when I got message down below?

Platfrom Configuration:

Centos 5.4
MySQL 5.0.77



Is there something to do with MySQL update?
Additional InformationERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1 - SELECT * FROM req_coverage WHERE req_id IN (232) AND testcase_id IN ()

THE MESSAGE :: SQL [9] executed [took 0.0002 secs][all took 0.0078 secs]: SELECT * FROM req_coverage WHERE req_id IN (232) AND testcase_id IN () Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ')' at line 1
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser3.5.5
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0008252)
mhavlat (reporter)
2009-11-10 22:53

I'm afraid that the info is not enough to reproduce. Happens it just for one case or for certain level? Did you modify/move the TC before?
(0008254)
narsu (reporter)
2009-11-11 00:47
edited on: 2009-11-11 18:15

Actually I found solution! :)

I was trying to assign wrong item with requirement. I selected "test suite folder" instead of test case and tried to assign requirement for it.

Suggeste warning for user
"Cannot assign folder with requirement. Try to select valid test case"?

br,
Narsu


- Issue History
Date Modified Username Field Change
2009-11-10 18:56 narsu New Issue
2009-11-10 18:56 narsu Browser => 3.5.5
2009-11-10 18:56 narsu PHP Version => 5.2.6
2009-11-10 22:53 mhavlat Note Added: 0008252
2009-11-10 22:53 mhavlat Status new => feedback
2009-11-11 00:47 narsu Note Added: 0008254
2009-11-11 00:48 narsu Note Edited: 0008254
2009-11-11 18:15 fman Note Edited: 0008254
2011-11-03 22:06 fman Status feedback => closed
2011-11-03 22:06 fman Assigned To => fman
2011-11-03 22:06 fman Resolution open => fixed
2011-11-03 22:06 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker